
Redmine - Feature #38805

Add support for GitHub

2023-07-04 13:34 - Tiago Franco

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: No feedback   

Description

GitHub is the dominant player in version control, and it would be very appealing to new adopters to use Redmine.

History

#1 - 2023-09-05 18:42 - Holger Just

- Category changed from Roadmap to SCM

- Status changed from New to Needs feedback

Redmine already supports integration with local git repositories. Also, many (most even) features of Redmine are similar to what Github offers, so an

integration would often come down to implementing a synchronisation feature between Redmine and Github. This however is generally a LOT of work

with many pitfalls and edge-cases and the added challenge of the moving target of keeping both APIs in sync as they develop, while offering only very

limited usage opportunities in the general case.

With that that, what exactly do you want to see from a GitHub integration?

#2 - 2024-11-11 22:37 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
